ReferenceCompanies
List a company's documents
Returns the documents raised for this company across all document types, optionally narrowed to the window between `dateFrom` and `dateTo`. Requires `Permissions.Companies.View`.
GET
Bearerheader
AuthorizationBearer <token>OAuth 2.0 client credentials. Obtain a client id/secret from Winshop support ([email protected]), then POST to the token URL.
companyId*integerFormat
int32dateFrom?|Format
date-timedateTo?|Format
date-timeapplication/json- response
[index: integer]?curl -X GET 'https://<your-instance>/api/companies/0/document-history' \ -H 'Authorization: Bearer <access-token>'[ { "dateOfCreation": "2019-08-24T14:15:22Z", "dateOfProcessing": "2019-08-24T14:15:22Z", "documentId": 0, "documentName": "string", "internalNumber": 0, "note": "string", "totalPrice": 0, "totalPriceWoVat": 0, "warehouseId": 0, "warehouseName": "string", "warehouseNumber": "string" }]